public class Objet extends Entite{
	
	private String nom=new String();// exemple: "Epee Longue un peu rouillée"
	
	private String modele=new String();//exemple: "longsword"
	
	//private String nomEquipement=new String();// exemple: "* Epee Longue" 
	
	private int bonusMagic=0;
	
	private boolean casse=false;
	
	private String typeObjet=new String();
	private boolean visible=true;
	private String tileStr=new String();
	
	private int bonusAtk=0;
	private int bonusDef=0;
	
	private int missileDmg=0;
	
	private boolean equiped=false;
	
	private int poids=0;
	
	private boolean useAsWeapon=false;
	private int huile=0;
	private int maxHuile=0;
	private int eclairage=0;
	private boolean alume=false;
	private boolean peutEclairer=false;
	private boolean peutCasser=false;
	private boolean peutCrocheter=false;
	private int bonusCrochetage=0;
	
	private int resistanceMat=0;
	private int structureMat=0;
	
	private int magicBonus=0;
	
	private int niveau=0;
	
	private String nomE=new String();
	
	
	///////
	private String trueName=new String();
	private String trueNameE=new String();
	private boolean identified=false;
	
	public String getTrueName(){
		return trueName;		
	}
	public String getTrueNameE(){
		return trueNameE;
	}
	public boolean getIdentified(){
		return identified;
	}
	public void setIdentified(boolean si){
		identified=si;
	}
	public void setTrueNames(String tn,String tnE){
		trueName=tn;
		trueNameE=tnE;
	}
	/////////////
	
	
	
	
	
	public Objet(boolean brok,String modeleC,String name,String nameE,int bonusMagicC,String typeObjetC,boolean visibleC,String tileStrC){
		
		magicBonus=bonusMagic;
		
		modele=modeleC;
		nom=name;
		nomE=nameE;
		bonusMagic=bonusMagicC;
		casse=brok;
		typeObjet=typeObjetC;
		visible=visibleC;
		tileStr=tileStrC;
		
		//nomEquipement=nom;
		
	}
	
	public String getNomE(){
		return nomE;
	}
	
	public int getNiveau(){
		return niveau;
	}
	
		
	public void setCasse(boolean broken){
		casse=broken;
		
		
	}
	public boolean getCasse(){
		return casse;
	}
	
	
	
	public int getResistanceMat(){
		return resistanceMat;
	}
	
	public void setResistanceMat(int res){
		resistanceMat=res;
	}
	
	public int getStructureMat(){
		return structureMat;
	}
	
	public void setStructureMat(int struct){
		structureMat=struct;
	}
	
	public int getBonusCrochetage(){
		return bonusCrochetage;
	}
	
	public boolean getPeutCrocheter(){
		return peutCrocheter;
	}
	
	public void setPeutCrocheter(boolean croch){
		peutCrocheter=croch;
	}
	
	
	
	public int getHuile(){
		return huile;
	}
	
	public void setHuile(int oil){
		huile=oil;
	}
	
	public int getMaxHuile(){
		return maxHuile;
	}
	
	
	public boolean getAlume(){
		return alume;
	}
	
	public void setAlume(boolean lit){
		alume=lit;
	}
	
	public boolean getPeutCasser(){
		return peutCasser;
	}
	
	public void setPeutCasser(boolean peutcass){
		peutCasser=peutcass;
	}
	
	public boolean getPeutEclairer(){
		return peutEclairer;
	}
	
	public void setPeutEclaire(boolean peutEcl){
		peutEclairer=peutEcl;
	}
	
	
	public void setEclairage(int ecl){
		eclairage=ecl;
	}
	
	public int getEclairage(){
		return eclairage;
	}
	
	
	public boolean getUseAsWeapon(){
		
		return useAsWeapon;
	}
	
	
	public int getPoids(){
		return poids;
	}
	
	public void setPoids(int pds){
		poids=pds;
	}
	
	/*
	public String getNomDequipement(){
		return nomEquipement;
	}
	
	public void setNomDequipement(String nomEquip){
		nomEquipement=nomEquip;
	}	*/
	
	public String getModele(){
		return modele;
	}
	
	public boolean getEquiped(){
		return equiped;
	}
	
	public void setEquiped(boolean eq){
		equiped=eq;
	}
	
	
	public int getBonusAtk(){
		return bonusAtk;
	}
	
	public int getBonusDef(){
		return bonusDef;
	}
	
	public void setBonusAtk(int bonat){
		bonusAtk=bonat;
	}
	
	public void setBonusDef(int bondef){
		bonusDef=bondef;
	}
	
	
	public String getNom(){
		return nom;
	}
	

	
	public boolean getVisible(){
		return visible;
	}
	
	public void setVisible(boolean visibility){
		visible=visibility;
	}
	

	
	public String getTileStr(){
		
		if(getCasse()==true){
			return "./images/rocks.gif";
		}
		
		return tileStr;
	}
	
	public String getTypeObjet(){
		return typeObjet;
	}
	
	public int getMagicBonus(){
		return magicBonus;
	}
	
	public int getMissileDmg(){
		return missileDmg;
	}
	
	public void setMissileDmg(int md){
		missileDmg=md;
	}
	
	
}